Bug 12231 - AllowMultipleIssuesOnABiblio description misleading
Summary: AllowMultipleIssuesOnABiblio description misleading
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Nicole C. Engard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-12 14:21 UTC by Nicole C. Engard
Modified: 2015-06-04 23:33 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
[BUG 12231] Update AllowMultipleIssuesOnABiblio language (1.41 KB, patch)
2014-05-31 16:48 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12231 - Update AllowMultipleIssuesOnABiblio language (1.56 KB, patch)
2014-06-11 16:14 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 12231 - Update AllowMultipleIssuesOnABiblio language (1.65 KB, patch)
2014-06-21 15:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-05-12 14:21:46 UTC
The AllowMultipleIssuesOnABiblio preference says: Allow/Don't Allow patrons to check out multiple items from the same record, except for records with subscriptions. 

I think what it means is that patrons will be allowed to check out multiple copies on subscriptions regardless of which option you choose but it if you choose 'Allow' with the preference the way it is now. It implies that I won't be able to check out multiple copies if it's a subscription.
Comment 1 Magnus Enger 2014-05-13 07:23:28 UTC
(In reply to Nicole C. Engard from comment #0)
> It implies that I
> won't be able to check out multiple copies if it's a subscription.

That is indeed how I read it.
Comment 2 Katrin Fischer 2014-05-13 19:35:57 UTC
Hm, sorry if the wording is misleading, the behaviour is:

You will always be able to checkout out multiple copies of a record tht has a subscription linked to it (assuming different serial issues).

The pref will allow/disallow multiple checkouts for records without a subscription and only changes behaviour for those.
Comment 3 Nicole C. Engard 2014-05-31 16:48:35 UTC Comment hidden (obsolete)
Comment 4 Nick Clemens 2014-06-04 22:28:55 UTC
Perhaps I am being obtuse, but if it is set to 'Don't allow' then reading the language (and not knowing Allow is the default) would make it seem that records with subscriptions would be stuck at 'Don't Allow'

Maybe: "(Allow/Don't Allow) patrons to check out multiple items from the same record. (NOTE: Multiple issues are always allowed on records with a subscription attached.)"
Comment 5 Bernardo Gonzalez Kriegel 2014-06-11 16:14:25 UTC Comment hidden (obsolete)
Comment 6 Julian Maurice 2014-06-16 13:09:13 UTC
I think there is a typo: effect/affect ?
"This will only affect records ..." sounds better for me.
Comment 7 Katrin Fischer 2014-06-21 15:47:22 UTC
Created attachment 29132 [details] [review]
[PASSED QA] Bug 12231 - Update AllowMultipleIssuesOnABiblio language

This preference had misleading language, this patch changes it a bit
to make it clearer.

To test:
* Apply patch
* Visit System Preferences
* Go to Circulation Tab
* Read description of AllowMultipleIssuesOnABiblio preference
* Confirm that it is clearer

http://bugs.koha-community.org/show_bug.cgi?id=12231
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

String patch, no errors

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described.
Comment 8 Tomás Cohen Arazi 2014-06-23 18:09:08 UTC
Patch pushed to master.

Thanks Nicole!